VERSION 5.00
Begin VB.Form frmListBox 
   Caption         =   "Win32 ListBox Api"
   ClientHeight    =   3555
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6270
   LinkTopic       =   "Form1"
   ScaleHeight     =   3555
   ScaleWidth      =   6270
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdInsert 
      Caption         =   "Insert an Item"
      Height          =   375
      Left            =   3720
      TabIndex        =   10
      Top             =   1560
      Width           =   2415
   End
   Begin VB.TextBox txtItemData 
      Height          =   285
      Left            =   3720
      TabIndex        =   9
      Top             =   3120
      Width           =   2295
   End
   Begin VB.TextBox txtItemSelected 
      Height          =   285
      Left            =   3720
      TabIndex        =   6
      Top             =   2400
      Width           =   2295
   End
   Begin VB.TextBox txtItemCount 
      Height          =   285
      Left            =   240
      TabIndex        =   5
      Top             =   2760
      Width           =   3135
   End
   Begin VB.CommandButton cmdDelete 
      Caption         =   "Delete an Item"
      Height          =   375
      Left            =   3720
      TabIndex        =   3
      Top             =   1080
      Width           =   2415
   End
   Begin VB.CommandButton cmdFindExact 
      Caption         =   "Find Exact"
      Height          =   375
      Left            =   3720
      TabIndex        =   2
      Top             =   600
      Width           =   2415
   End
   Begin VB.CommandButton cmdHorizontalScrollBars 
      Caption         =   "Horizontal Scroll Bars"
      Height          =   375
      Left            =   3720
      TabIndex        =   1
      Top             =   120
      Width           =   2415
   End
   Begin VB.ListBox lbxItems 
      Height          =   2205
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   3135
   End
   Begin VB.Label Label3 
      Caption         =   "Item Data"
      Height          =   255
      Left            =   3720
      TabIndex        =   8
      Top             =   2760
      Width           =   2295
   End
   Begin VB.Label Label2 
      Caption         =   "Item Selected"
      Height          =   255
      Left            =   3720
      TabIndex        =   7
      Top             =   2040
      Width           =   2295
   End
   Begin VB.Label Label1 
      Caption         =   "Item Count"
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   2400
      Width           =   1695
   End
End
Attribute VB_Name = "frmListBox"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Const MAX_STRING_LENGTH = 600

Private Sub cmdDelete_Click()
    Dim vStrPos As Variant
    Dim sPhrase As String
    Dim lRC As Long
    Dim vCount As Variant
    
    sPhrase = InputBox("Please enter in a search phrase to delete")
        
    If sPhrase <> "" Then
        With lbxItems
        vStrPos = SendMessageByString&(.hwnd, LB_FINDSTRINGEXACT, 0, ByVal sPhrase)
        If vStrPos = -1 Then
            MsgBox "Unable to find phrase to delete"
        Else
            lRC = SendMessage(.hwnd, LB_DELETESTRING, ByVal vStrPos, 0)
        End If
        
        vCount = SendMessage(lbxItems.hwnd, LB_GETCOUNT, 0, 0)
        txtItemCount = vCount

        End With
    End If

End Sub

Private Sub cmdFindExact_Click()
    Dim vStrPos As Variant
    Dim sPhrase As String
    Dim lRC As Long
    
    sPhrase = InputBox("Please enter in a search phrase")
        
    If sPhrase <> "" Then
        With lbxItems
        vStrPos = SendMessageByString&(.hwnd, LB_FINDSTRINGEXACT, 0, sPhrase)
        If vStrPos = -1 Then
            MsgBox "No Match!"
            lRC = SendMessage(.hwnd, LB_SETCURSEL, -1, 0)
        Else
            lRC = SendMessage(.hwnd, LB_SETCURSEL, vStrPos, 0)
        End If
        End With
    End If
    
End Sub

Private Sub cmdHorizontalScrollBars_Click()
    SendMessage lbxItems.hwnd, LB_SETHORIZONTALEXTENT, MAX_STRING_LENGTH, 0
End Sub

Private Sub cmdInsert_Click()
    frmInsert.Show
End Sub

Private Sub Form_Load()
    Dim i As Integer
    Dim lRC As Long
    Dim vCode As String
    Dim vCount As Variant
    
    With lbxItems
    .Clear
    
    For i = 1 To 26
        If (i Mod 2) > 0 Then
            vCode = String(50, Chr(64 + i))
            .AddItem vCode
        Else
            vCode = Chr(64 + i)
            .AddItem vCode
        End If
        .ItemData(.NewIndex) = i
    Next
    
    End With
            
    vCount = SendMessage(lbxItems.hwnd, LB_GETCOUNT, 0, 0)
    txtItemCount = vCount
    

End Sub

Private Sub lbxItems_Click()
    Dim sText As String
    Dim vItem As Variant
    Dim vItemData As Variant
    Dim lRC As Long
    
    vItem = SendMessage(lbxItems.hwnd, LB_GETCURSEL, 0, 0)
    If vItem <> -1 Then
        txtItemSelected = lbxItems.List(vItem)
        txtItemData = lbxItems.ItemData(vItem)
    End If
    
    
End Sub
